#ifndef MVMCI12_H
#define MVMCI12_H

#ifdef __cplusplus
extern "C" {
#endif

/***********************************************************************
*
* MVMCI.H
*
* Copyright (c) Microsoft Corporation 1992 - 1994
* All rights reserved.
*
* (tabs set at 4)
*
************************************************************************
*
* Module intent:
* Provide support for MediaView embedded windows that play MCI devices
*
* This header file is included by the following files:
*   mvmci.c mciwin.c playctrl.c mci.c mmp.c
*
* It includes definitions for globally used constants and structures
* It also includes prototypes for functions in the mvmci.c file.
*
* See MCIWIN.H for a description of how the windows used by MVMCI are
* organized.
*
************************************************************************
*
* Current Owner: t-paulci
*
************************************************************************
*
* Created by t-PaulCi:		2/5/92
*
* Released by development:	(date)
*
***********************************************************************/

LONG FAR PASCAL __export MVMCIWndProc(HWND, WORD, WORD, LONG);
int  FAR PASCAL _loadds InitiateMVMCI(HINSTANCE);
int  FAR PASCAL _loadds TerminateMVMCI(HINSTANCE);

/* String IDs */
#define sidErrOutOfMemory			300
#define sidErrCouldntOpen			301
#define sidErrCouldntOpenContr	302
#define sidErrCouldntOpenMCI		303
#define sidErrWrongVersion			304
#define sidErrNoMultimedia			305
#define sidErrMissingParams		310
#define sidErrMissingArg			311
#define sidErrIllegalArg			312
#define sidErrCaptionSyntax		313
#define sidErrUnknownOption		314
#define sidErrSyntaxErrParams		315
#define sidErrCantOpenSectFile	316
#define sidErrIllegalCommand		317
#define sidErrDeviceOpen			320
#define sidErrCantDeduceExt		321
#define sidErrCantOpenDevice		322
#define sidErrUnknownMCIErr		323
#define sidErrBadFilename			324
#define sidErrDeviceFailure		325
#define sidErrCouldntLoadMMP		330
#define sidErrCouldntPlayMMP		331
#define sidErrCouldntStopMMP		332
#define sidMsgInsertMedia			340
#define sidFile						350
#define sidDevice						351
#define sidLoading					352
#define sidMenuPlay					353
#define sidMenuPause					354
#define sidMenuStop					355
#define sidMenuPauses				356
#define sidMenuMute					357
#define sidOptSystem					360
#define sidOptDevice					361
#define sidOptStdControl			362
#define sidOptButtons				363
#define sidOptMenu					364
#define sidOptSlider					365
#define sidOptStepSize				366
#define sidOptRange					367
#define sidOptTracks					368
#define sidOptSections				369
#define sidOptSize					370
#define sidOptMediaID				371
#define sidOptAutoStart				372
#define sidOptLooping				373
#define sidOptNoFrame				374
#define sidOptNoDrag					375
#define sidOptMute					376
#define sidOptCaption				377
#define sidOptSectionFile			378
#define sidOptShare					379
#define sidOptName					380
#define sidButEject					400
#define sidButFrameAdv				401
#define sidButFrameBack				402
#define sidButPause					403
#define sidButPlayPause				404
#define sidButPlay					405
#define sidButRecord					406
#define sidButScanLeft				407
#define sidButScanRight				408
#define sidButSlowMotion			409
#define sidButPrevious				410
#define sidButNext					411
#define sidButStop					412

#ifdef __cplusplus
}
#endif

#endif // MVMCI12_H

